EXEC(1)

NAME
exec - execute command in current process

SYNOPSIS

exec COMMAND [OPTIONS...]

DESCRIPTION

exec replaces the currently running shell with a new command. On successful completion, exec never returns. exec cannot be used inside a pipeline.

EXAMPLE

exec emacs starts up the emacs text editor, and exits fish. When emacs exits, the session will terminate.

COPYRIGHT
2021, fish-shell developers